WCS_ASTRO_GET_PREFERRED_UNITS(3)

EXPERIMENTAL_FUNC
wcs_astro_get_preferred_units - Get preferred units for data.

SYNOPSIS
#include <karma_wcs.h>

flag wcs_astro_get_preferred_units

(char new_units[STRING_LENGTH], char format_str[STRING_LENGTH], double *scale, CONST char *old_units)

DESCRIPTION
Get preferred units for data.

new_units
    The new units string is written here.

format_str
    The format string is written here.

scale
    The scale value to convert to the new units will be written here.

old_units
    The old units string.

RETURN VALUE
TRUE if preferred units were found, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/